#!/bin/bash

# Source : http://download.zenwalk.org/people/jp/netpkg
# Packager : JP Guillemin jp.guillemin@free.fr

soft='netpkg'
version='4.7.5'
packageversion='72.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
package="$soft-$version-$arch-$packageversion"
PKG="/tmp/$package"
src="$buildir/$soft-$version"

cd $buildir
rm -rf $src
rm -f $PKG.tgz
rm -rf $PKG

export CFLAGS="-O2 -march=$arch -mtune=$cpu"

tar -xvf $src.tar.gz
chown -R root:root .
cd $src

make clean
make 
make install PERLVERSION=5.14.0 DESTDIR=$PKG


# Description file
mkdir -p $PKG/install

cat << "EOS" > $PKG/install/slack-desc
netpkg: netpkg - Zenwalk network based package maintenance tool
netpkg:
netpkg: Netpkg is a tool for easily install or upgrade packages via the 
netpkg: network. With Netpkg, you can make a minimal installation of 
netpkg: Zenwalk Linux and install/upgrade just the packages you need most.
netpkg: 
netpkg: 
netpkg: 
netpkg: 
netpkg:
netpkg:
EOS


# Postinstall file

cat << "EOD" > $PKG/install/doinst.sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/netpkg.conf.new
EOD

mv $PKG/etc/netpkg.conf $PKG/etc/netpkg.conf.new

mkdir -p $PKG/usr/src/$soft-$version
cp $buildir/build-$soft.sh $PKG/usr/src/$soft-$version



# Packaging
cd $PKG
makepkg -l y -c n $PKG.txz

# cleanup
rm -rf $src
rm -rf $PKG
